Package org.eclipse.emf.cdo.ui

## Class CDOCommitCommentPrompter

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOCommitCommentPrompter

-     public class CDOCommitCommentPrompter
      extends java.lang.Object

  Since:
    4.10
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOCommitCommentPrompter.CommentDialog` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOCommitCommentPrompter​(CDOTransaction transaction)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CDOCommitCommentPrompter.CommentDialog` | `createDialog​(java.lang.String defaultComment)` |
    `void` | `dispose()` |
    `protected Shell` | `getParentShell()` |
    `CDOTransaction` | `getTransaction()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOCommitCommentPrompter

          public CDOCommitCommentPrompter​(CDOTransaction transaction)

  - ### Method Detail

    - #### getTransaction

          public final CDOTransaction getTransaction()

    - #### dispose

          public void dispose()

    - #### createDialog

          protected CDOCommitCommentPrompter.CommentDialog createDialog​(java.lang.String defaultComment)

    - #### getParentShell

          protected Shell getParentShell()